#ifndef SETTINGSDIALOG_H
#define SETTINGSDIALOG_H

#include <QDialog>

#define LMS_CONF_FILE "lmsconf.xml"

namespace Ui {
class settingsDialog;
}

class settingsDialog : public QDialog
{
    Q_OBJECT
    
public:
    explicit settingsDialog(QWidget *parent = 0);
    ~settingsDialog();
    void readXML();

private:
    Ui::settingsDialog *ui;

signals:
    void pathChanged(QString);
    void dmxChanged(int layer, int address, int universe);
private slots:
    void changeMediaPath();

};

#endif // SETTINGSDIALOG_H
